{% extends "customers/base.html" %}
{% load staticfiles %}
{% load active_tag %}
{% load widget_tweaks %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker3.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Nuevo egreso{% endblock %}

{% block page %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'general-expense-list' %}">Egresos</a></li>
    <li class="breadcrumb-item active">Nuevo</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Nuevo <small>Egreso</small></h1>
	<!-- end page-header -->

	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Nuevo Egreso</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
              <button id="cancel-button" type="button" class="btn btn-default btn-sm pull-right ml-1"><i class="fa fa-window-close"></i></button>
              <button id="save-button" type="button" class="btn btn-success btn-sm pull-right ml-1"><i class="fa fa-save"></i></button>
            </div>
          </div>

          <form id="general-expense-form" class="form-horizontal" method="post">
            {% csrf_token %}
            {{ form.media }}
            <div class="tab-content">
              <div id="general" role="tabpanel" class="tab-pane active">
                <div class="form-group row m-b-15">
                  <label for="id_name" class="col-form-label col-md-3">Tipo</label>
                  <div class="col-sm-9">
                    {% render_field form.type class="form-control m-b-5" %}
                    {% for error in form.type.errors %}
                     <small class="f-s-12 text-danger">{{ error }}</small>
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group row m-b-15">
                    <label for="id_description" class="col-form-label col-md-3">Descripción</label>
                    <div class="col-sm-9">
                      {% render_field form.description class="form-control m-b-5" %}
                      {% for error in form.description.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_issue_date" class="col-form-label col-md-3">Fecha de Emisión</label>
                    <div class="col-sm-9">
                      {% render_field form.issue_date class="form-control m-b-5" %}
                      {% for error in form.issue_date.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_amount" class="col-form-label col-md-3">Monto</label>
                    <div class="col-sm-9">
                      {% render_field form.amount class="form-control m-b-5" %}
                      {% for error in form.amount.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_currency" class="col-form-label col-md-3">Moneda</label>
                    <div class="col-sm-9">
                      {% render_field form.currency class="form-control m-b-5" %}
                      {% for error in form.currency.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_bank_account" class="col-form-label col-md-3">Cuenta Bancaria</label>
                    <div class="col-sm-9">
                      {% render_field form.bank_account class="form-control m-b-5" %}
                      {% for error in form.bank_account.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_operator" class="col-form-label col-md-3">Operador</label>
                    <div class="col-sm-9">
                      {% render_field form.operator class="form-control m-b-5" %}
                      {% for error in form.operator.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>
          <!-- Shipping tab -->
                      </div>
                    </div>
                  </form>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->

{% endblock %}


{% block pageleveljs %}
  <script src="{% static 'assets/plugins/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js' %}"></script>
  <script type="text/javascript">
    $(document).ready(function(){
	    $(".datepicker").datepicker({format: 'dd/mm/yyyy'})
      // save and cancel buttons
	$('#save-button').click(function() {
	    $('#general-expense-form').submit();
	});
	$('#cancel-button').click(function() {
	    window.location.href = '../';
	});
    });
    </script>
{% endblock %}